package com.hzya.frame.stringutil;

import cn.hutool.core.util.StrUtil;

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * @Description 字符串工具
 * @Author xiang2lin
 * @Date 2022/3/1 15:47
 **/
public class StringUtil {

    /**
     * 替换空白符，包括 \s \t \r\n
     * @param str
     * @return
     */
    public static String replaceBlank(String str){
        String result= null;
        if (str == null) {
            return result;
        } else {
            //Pattern p = Pattern.compile("\\s*|\t|\r|\n|\\u00A0");
            Pattern p = Pattern.compile("[\\s\\t\\r\\n\\u00A0]");
            Matcher m = p.matcher(str);
            result= m.replaceAll("");
            return result;
        }
    }


    /**
     * 按_拆分字符串
     * @param code_name
     * @return
     */
    public static List<String> splitStr(String code_name){
        List<String> list = new ArrayList<>();
        if (StrUtil.isNotBlank(code_name)){
            list = StrUtil.split(code_name, StrUtil.C_UNDERLINE);
            if (list.size() == 1){
                list.add("");
            }
        }else {
            list.add("");
            list.add("");
        }
        return list;
    }

    //null转成空字符串
    public static String nullConvert(String str){
        if (null == str){
            return "";
        }
        return str;
    }
}
